Bug 35159 - character problems in windows sessions via neutrinordp
character problems in windows sessions via neutrinordp
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Terminal services
unspecified
Other Linux
: P5 enhancement
: UCC 2.0-errata
Assigned To: Moritz Muehlenhoff
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-18 15:04 CEST by Tim Petersen
Modified: 2014-12-08 12:45 CET (History)
6 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Upstream patch (777 bytes, patch)
2014-07-17 09:35 CEST, Moritz Muehlenhoff
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Petersen univentionstaff 2014-06-18 15:04:40 CEST
+++ This bug was initially created as a clone of Bug #34274 +++

The current Ubuntu 14.04 beta still uses freerdp 1.0.2-2ubuntu1.

We should test/integrate a 1.1 release in UCC. This should solve problems with "remote control" and provides multimonitor support.
[...]
" Comment 1
This will also fix problems with special characters in windows. See: 2014012721001417
"



neutrinordp still has the same problems with characters:
Comment 1 Moritz Muehlenhoff univentionstaff 2014-06-24 19:23:17 CEST
I'll check whether that can be cherrypicked from freerdp 1.1 into neutrinordp
Comment 2 Timo Denissen univentionstaff 2014-07-03 10:19:53 CEST
Affects customer, see: 2014051421005565
Comment 3 Moritz Muehlenhoff univentionstaff 2014-07-17 09:35:34 CEST
Created attachment 5998 [details]
Upstream patch

Patch from upstream, not yet tested
Comment 4 Moritz Muehlenhoff univentionstaff 2014-12-01 15:07:08 CET
Fixed with patch 0002-fix-divide-key.patch

YAML: 2014-12-01-neutrinordp.yaml
Comment 5 Erik Damrose univentionstaff 2014-12-05 17:39:33 CET
OK: '/' on numpad works
Reopen: I think you forgot to commit the yaml file, i cannot find it
Comment 6 Moritz Muehlenhoff univentionstaff 2014-12-08 08:18:18 CET
YAML file has now been commited.
Comment 7 Erik Damrose univentionstaff 2014-12-08 10:05:07 CET
r56534 fixed yaml typo
Verified!
Comment 8 Moritz Muehlenhoff univentionstaff 2014-12-08 12:45:30 CET
http://errata.univention.de/ucc/2.0/3.html